package com.ibm.r2a.rules.rsa.examples.structuralanalsysis.componentdependencies.tangle.first;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class Observable {
	
	public Observable() {
		observersList = new ArrayList();
	}
	
	public void addObserver( Observer observer ) {
		observersList.add( observer );
	}
	
	public void notifyObservers() {
		Event event = new Event( this );
		for ( Iterator i = observersList.iterator(); i.hasNext(); ) {
			((Observer)i.next()).change( event );
		}
	}
	
	private List observersList;
}
